Subject: Re: bug#45184: 26.1; Private Unicode plains 15 and 16 seem not supported

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Dec 2020 22:10:17 +0200

severity 45184 wishlist
thanks

> From: [email-masked] (Janusz S. Bień)
> Date: Fri, 11 Dec 2020 18:55:51 +0100
> 
> I intend to use plains 15 and/or 16 for the historical variant of Polish
> letters. An appropriate font is understand preparation, but not yet
> available publicty.
> 
> When the font was installed in ./loca/share/fonts, a QT program found it
> and displayed the characters correctly. Emacs, to the contrary, for
> 
> character: 󰀀 (displayed as 󰀀) (codepoint 983040, #o3600000, #xf0000)
> 
> reports "no font available".

That's because Emacs has no idea that you are using SPUA planes for
Polish.  You need to tell Emacs about that by augmenting your fontset.
(And even after you do that, there could be problems, because Emacs
doesn't treat PUA ranges of Unicode codepoints as characters.)